Subject: bug#3494: 23.0.94; line-move-visual: temporary goal column confused by hscrolling

From: Chong Yidong <[email-masked]>
Date: Sat, 11 Jul 2009 18:59:09 -0400

Teemu Likonen <[email-masked]> writes:

>>>  1. emacs -Q -f toggle-truncate-lines
>>>  2. Don't change the size of the window. Create test buffer with
>>>     commands:
>>>         C-u 85 a RET
>>>         C-u 100 b RET
>>>  3. Move the cursor to the end of the first (the line with a's).
>>>  4. Enable goal column: C-x C-n
>>>  5. Repeat C-n and C-p. The column changes quite wildly.
>>>
>>> The problem goes away if I set line-move-visual to nil.
>>
>> I can't reproduce this.  Could you try with the latest patch in the
>> trunk?
>
> The above is 100% reproducible in my Debian GNU/Linux system.
>
>     GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12) of
>     2009-07-11 on mithlond

I can't reproduce it.  Your recipe is missing one step: C-x C-n is a
disabled command, so you need to type "y" to enable it, as I presume you
intended.  I don't observe any column change, though.

Did you do xrdb -remove beforehand?  (I can't reproduce the problem with
or without Xresource settings.)  What's the size of your Emacs frame?